{
inputs.nixpkgs.url = "github:nixos/nixpkgs";
  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { inherit system; };
        flakePkgs = { main = pkgs.ocamlPackages.callPackage ./. { }; };
      in {
        devShell = pkgs.mkShell {
          # inputsFrom = with flakePkgs; [ main ];
          packages = (with pkgs; [
# inotify-tools
fstar
nixfmt-rfc-style
           ]) ++ (with pkgs.ocamlPackages; [
            # ocaml-lsp
            # ppxlib
            # ppx_deriving
            # alcotest
            # yojson
            # ezjsonm
          ]);
        };
      });
}
